{*
* 2007-2021 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
* @author PrestaShop SA <contact@prestashop.com>
* @copyright 2007-2019 PrestaShop SA
* @license http://opensource.org/licenses/afl-3.0.php Academic Free License (AFL 3.0)
* International Registered Trademark & Property of PrestaShop SA
*}
<div class="panel">
	<div class="panel-heading">Список транзакций</div>
	<form id="list_form" method="post">
		<table id="list" class="table">
			<tr class="row">
				<th class="tranzaction_check cell text-right">
					#
				</th>
				<th class="tranzaction_number cell">
					Номер заказа
				</th>
				<th class="tranzaction_date cell">
					Дата заказа
				</th>
				<th class="tranzaction_date cell">
					Дата запроса
				</th>
				<th class="tranzaction_open cell text-center">
					Чек
				</th>
				<th class="tranzaction_open cell text-center">
					Документ
				</th>
				<th class="tranzaction_open cell text-center">
					Лог
				</th>
				<th class="tranzaction_type cell">
					Тип
				</th>
				<th class="tranzaction_delete cell text-center">
					Удалить
				</th>
			</tr>
			{assign var=transactionCount value=$transactions|@count}
			{for $num=0 to $transactionCount - 1}
			<tr class="row">
				<td class="tranzaction_check cell text-right">
					{$transactions[$num]['id_bifitkassa_reports']}
				</td>
				<td class="tranzaction_number cell">
					<a target="_blank" href="{$transactions[$num]['order_link']}">Заказ №{$transactions[$num]['order_number']}</a>
				</td>
				<td class="tranzaction_date cell">
					<span class="icon icon-calendar"></span> {$transactions[$num]['order_date']}
				</td>
				<td class="tranzaction_date cell">
					<span class="icon icon-calendar"></span> {$transactions[$num]['action_date']}
				</td>
				<td class="tranzaction_open cell text-center">
					{if $transactions[$num]['receipt_id'] > 0}
					<a target="_blank" href="{$transactions[$num]['receipt_link']}" class="btn btn-small btn-primary">
						<span class="icon icon-link"></span>
						Открыть
					</a>
					{else}
					<span class="error text-danger">
						<span class="icon icon-warning"></span>
						нет
					</span>
					{/if}
				</td>
				<td class="tranzaction_open cell text-center">
					<span class="{if $transactions[$num]['receipt_id'] > 0}success text-success{else}error text-danger{/if}">
						<span class="icon icon-{if $transactions[$num]['receipt_id'] > 0}tag{else}warning{/if}"></span>
						{if $transactions[$num]['receipt_id'] > 0}
						{$transactions[$num]['receipt_id']}
						{else}
						нет
						{/if}
					</span>
				</td>
				<td class="tranzaction_open cell text-center">
					<a href="#log{$transactions[$num]['id_bifitkassa_reports']}" class="btn btn-small btn-{if $transactions[$num]['receipt_id'] > 0}success{else}danger{/if} js-modal">
						<span class="icon icon-file-text"></span>
						Смотреть
					</a>
					<div style="display:none; word-break:break-all;" id="log{$transactions[$num]['id_bifitkassa_reports']}">
						{$transactions[$num]['log']|nl2br}
					</div>
				</td>
				<td class="tranzaction_type cell">
					<span class="type {if $transactions[$num]['receipt_id'] > 0}type-success{else}type-error{/if} type-{strtolower($transactions[$num]['receipt_type'])}">
						{if $transactions[$num]['receipt_type'] == 'PURCHASE'}
						Расход
						{/if}
						{if $transactions[$num]['receipt_type'] == 'PURCHASE_RETURN'}
						Возврат расхода
						{/if}
						{if $transactions[$num]['receipt_type'] == 'SALE'}
						Приход
						{/if}
						{if $transactions[$num]['receipt_type'] == 'SALE_RETURN'}
						Возврат прихода
						{/if}
					</span>
				</td>
				<td class="tranzaction_delete icons cell text-center">
					<a href="{$transactions[$num]['del_link']}" class="btn btn-small delete" title="Удалить">
						<span class="icon icon-trash"></span>
					</a>
				</td>
			</tr>
			{/for}
		</table>
	</form>
</div>
<script type="text/javascript">
$(function(){
	$(".js-modal").fancybox({
		margin: 0,
		padding: 20,
		maxWidth: 1000,
		maxHeight: 400,
		autoScale: true,
		transitionIn: 'none',
		transitionOut: 'none',
		type: 'inline',
		helpers: {
			overlay: {
				locked: false
			}
		}
	});
});
</script>